import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { SingleStakingFarmTemplateContractPositionFetcher } from '../../../position/template/single-staking.template.contract-position-fetcher';
import { MuxContractFactory, MuxRewardTracker } from '../contracts';
export declare class ArbitrumMuxFarmContractPositionFetcher extends SingleStakingFarmTemplateContractPositionFetcher<MuxRewardTracker> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: MuxContractFactory;
    groupLabel: string;
    farms: {
        address: string;
        stakedTokenAddress: string;
        rewardTokenAddresses: string[];
    }[];
    readerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: MuxContractFactory);
    getContract(address: string): MuxRewardTracker;
    getFarmDefinitions(): Promise<{
        address: string;
        stakedTokenAddress: string;
        rewardTokenAddresses: string[];
    }[]>;
    getRewardRates(): Promise<number[]>;
    getStakedTokenBalance(): Promise<number>;
    getRewardTokenBalances(): Promise<number>;
}
